package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 签到记录对象 fs_user_sign
 * 
 * @author fs
 * @date 2022-03-15
 */
@TableName("fs_user_sign")
public class FsUserSignScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户uid */
    @Excel(name = "用户uid")
    private Long userId;

    /** 签到说明 */
    @Excel(name = "签到说明")
    private String title;

    /** 获得积分 */
    @Excel(name = "获得积分")
    private Long number;

    /** 剩余积分 */
    @Excel(name = "剩余积分")
    private Long balance;

    /** $column.columnComment */
    @Excel(name = "剩余积分")
    private Integer isDel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setBalance(Long balance) 
    {
        this.balance = balance;
    }

    public Long getBalance() 
    {
        return balance;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }


}
